
--[[
    ------------------------------------------------
    | YLVF 0.8.9+ | 2022-07-16 (yyyy-mm-dd) | V1.8 |
    ------------------------------------------------
]]


function NewVehicle(nameStr, descStr)
    vehicles[#vehicles+1] = {nameStr, descStr, {}}
    components = {{}, {}, {}, {}, {}}
end


function AddCabin(nameStr, descStr, XMLStr, blackListStr)
    components[1][#components[1]+1] = {name = nameStr, desc = descStr, xmlData = XMLStr, blackList = blackListStr}
end


function AddChassis(nameStr, descStr, XMLStr, vehicleParam, bodyOffset, blackListStr, tagStr, bodyTagStr)
    components[2][#components[2]+1] = {name = nameStr, desc = descStr, xmlData = XMLStr, param = vehicleParam, offset = bodyOffset, blackList = blackListStr, tags = tagStr, bodyTags = bodyTagStr}
end


function AddBody(nameStr, idStr, descStr, XMLStr, blackListStr, replaceTarget)
    components[3][#components[3]+1] = {name = nameStr, desc = descStr, id = idStr, xmlData = XMLStr, blackList = blackListStr, replace = replaceTarget}
end


function AddPaint(nameStr, descStr, XMLtable, slotNum, groupStr)
    components[4][#components[4]+1] = {name = nameStr, desc = descStr, paintTable = XMLtable, slot = slotNum, group = groupStr}
end


function AddComponent(nameStr, idStr, descStr, XMLStr, blackListStr, replaceTarget)
    components[5][#components[5]+1] = {name = nameStr, desc = descStr, id = idStr, xmlData = XMLStr, blackList = blackListStr, replace = replaceTarget}
end


function FinishVehicle()
    rawset(vehicles[#vehicles], 3, components)
end